eCMRhub.docs
API referenceSigning links

Create a signing link

POST
/rest/v1/rpc/create_sign_grant

Creates a signing link for one party of an issued document, valid for 7 days. Reuse the idempotency key on retry. May need a person's approval.

Authorization

apikeybearerAuth
headerapikey<token>
headerAuthorizationBearer <JWT>

Header Parameters

x-ecmr-approval?string

Id of the approval a person gave for exactly this request. Omitted: a connection that requires approval gets 428 APPROVAL_REQUIRED and the approval to ask for.

Formatuuid

Request Body

application/json
  1. body
document_id*string
Formatuuid
role*string
Value in"sender""carrier""consignee"
idempotency_key*string

Response Body

Success

application/json
  1. response
[key: string]?unknown
Example Request
curl -X POST 'https://api-ecmr-dev.lucaspiera.com/rest/v1/rpc/create_sign_grant' \  -H 'Content-Type: application/json' \  -d '{  "document_id": "b792e8ae-2cb4-4209-85b9-32be4c2fcdd6",  "role": "sender",  "idempotency_key": "string"}'
Example Response
{  "property1": null,  "property2": null}